Bug 59160 - g++ internal failure
g++ internal failure
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-31 19:45 EST by Lee Howard
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-01 11:28:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Howard 2002-01-31 19:45:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; T312461)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Compile HylaFAX CVS

Additional info:

When compiling patched CVS HylaFAX on a system:

[root@gollum hylafax-cvs20020130]# rpm -q gcc glibc
gcc-2.96-85
glibc-2.2.4-19.3
[root@gollum hylafax-cvs20020130]# uname -a
Linux gollum.x101.com 2.4.17 #1 SMP Tue Jan 29 22:50:25 PST 2002 i686 unknown
[root@gollum hylafax-cvs20020130]# rpm -q redhat-release
redhat-release-7.1-1
[root@gollum hylafax-cvs20020130]#

I get the following error:

/usr/bin/g++        -D__ANSI_CPP__ -I. -I.. -I.././regex -I.././faxd -I.././util
 -I/usr/local/include -g -O2 -m486 -fno-strength-reduce  -c FaxMachineInfo.c++
FaxMachineInfo.c++: In method `void FaxMachineInfo::writeConfig ()':
FaxMachineInfo.c++:305: Internal error: Illegal instruction.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [FaxMachineInfo.o] Error 1

The section of code in question is this:

----- faxd/FaxMachineInfo.c++ -----
/*
 * Rewrite the file if the contents have changed.
 */
void
FaxMachineInfo::writeConfig()
{
    if (changed) {
        mode_t omask = umask(022);
        int fd = Sys::open(file, O_WRONLY|O_CREAT, 0644);
        (void) umask(omask);
        if (fd >= 0) {
            fxStackBuffer buf;
            writeConfig(buf);
            u_int cc = buf.getLength();
            if (Sys::write(fd, buf, cc) != cc) {
                error("write error: %s", strerror(errno));
                Sys::close(fd);
                return;
            }
            ftruncate(fd, cc);
            Sys::close(fd);
        } else
            error("open: %m");
        changed = false;
    }
}

This does not happen on a different system:

[root@providence /root]# rpm -q gcc glibc
gcc-2.96-85
glibc-2.2.4-19
[root@providence /root]# uname -a
Linux providence deanox.com 2.4.15-pre2 #2 Sat Nov 10 14:38:27 MST 2001 i586 
unknown
[root@providence /root]# rpm -q redhat-release
redhat-release-7.0-1
[root@providence /root]#
Comment 1 Jakub Jelinek 2002-02-01 11:28:12 EST
Is it reproduceable? If yes, please try a newer gcc release (such as
gcc-2.96-98 or later). If the ICE still exists, please submit preprocessed
source on which this can be reproduced (add -save-temps option to gcc, .ii
file will be created).
Comment 2 Lee Howard 2002-02-02 16:10:28 EST
Sorry, false positive.  I rebooted the system and all goes well now.  I think
that it has faulty RAM.  Off topic, is there any good RAM testing package around?
Comment 3 Jakub Jelinek 2002-02-02 16:15:01 EST
memtest86

Note You need to log in before you can comment on or make changes to this bug.